Bug 8144 - 775 tag in the MARC record causes display issue
Summary: 775 tag in the MARC record causes display issue
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high critical (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 19:41 UTC by Joy Nelson
Modified: 2019-06-27 09:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Error in Display when 775 is used (114.60 KB, image/jpeg)
2012-05-23 19:41 UTC, Joy Nelson
Details
Corrected OPAC display when 775 is removed (94.42 KB, image/jpeg)
2012-05-23 19:44 UTC, Joy Nelson
Details
Bug 8144 - 775 tag in the MARC record causes display issue (4.51 KB, patch)
2012-05-24 14:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8144 - 775 tag in the MARC record causes display issue (4.62 KB, patch)
2012-05-26 10:15 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2012-05-23 19:41:57 UTC
Created attachment 9743 [details]
Error in Display when 775 is used

MARC record with a 775 tag launches a 'second search' on ti, phr: in the results display.  See attached screenshot.  One shows OPAC when 775 is on MARC and the other after the 775 tag is removed.
Comment 1 Joy Nelson 2012-05-23 19:44:07 UTC
Created attachment 9744 [details]
Corrected OPAC display when 775 is removed
Comment 2 Owen Leonard 2012-05-24 13:22:07 UTC
Same problem in the staff client. It's a markup error in the XSLT template.
Comment 3 Owen Leonard 2012-05-24 13:42:50 UTC
It's clear how the broken markup is causing the problem:

<span class="results_summary other_editions">
  <span class="label">Other Editions: </span>
  <a href="/cgi-bin/koha/opac-search.pl?q=ti,phr:"/>
</span>

The <a> is not closed. But I can't puzzle out why the closing </a> in the .xsl file isn't doing its job. I also can't see why 775$a isn't being output, whether or not the markup is valid.
Comment 4 Owen Leonard 2012-05-24 14:38:32 UTC Comment hidden (obsolete)
Comment 5 Jared Camins-Esakov 2012-05-26 10:15:52 UTC
Created attachment 9786 [details] [review]
Bug 8144 - 775 tag in the MARC record causes display issue

Fixing XSL template in the OPAC and staff client following
recommendations by Jared.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Fixes the markup and correctly displays 775 notes.
Comment 6 Paul Poulain 2012-05-28 15:37:00 UTC
QA comment: XSLT related only, passed QA
Comment 7 Paul Poulain 2012-05-28 15:38:42 UTC
Patch pushed

I haven't a MARC21 setup at hand, so haven't checked the patch. Seems tiny enough & expecienced author/signoffer, so I trust them. BUT please test !
Comment 8 Chris Cormack 2012-05-29 04:39:06 UTC
Tested with marc21, works well, pushed to 3.8.x, will be in 3.8.2